import { CollectionConfig } from 'payload/types';

const Couriers: CollectionConfig = {
  slug: 'couriers',
  admin: {
    useAsTitle: 'name',
  },
  access: {
    read: () => true,
  },
  fields: [
    {
      name: 'name',
      type: 'text',
      required: true,
    },
    {
      name: 'startingPoint',
      label: 'Traveling from',
      type: 'text', // TODO use geopicker here
    },
    {
      name: 'destination',
      label: 'Traveling to',
      type: 'text' // TODO user geopicker here
    },
    {
      name: 'departureDate',
      label: 'Departure date',
      type: 'date'
    },
    {
      name: 'arrivalDate',
      label: 'Arrival date',
      type: 'date'
    },
    {
      name: 'weightAllowance',
      label: 'Weight Allowance (KG)',
      type: 'number'
    }
  ],
};

export default Couriers;